;
; make Wind Stress module
;
FUNCTION make_wm, file_name, ncdf_db,  TIME_1 = time_1,  TIME_2 =  time_2, ZMTYP = zmtyp

@common
@com_eg
;
;
; Read taux and tauy
;
   old_boite = [lon1, lon2, lat1, lat2, prof1, prof2]
   domdef
; new name files
   file_nam = strmid(base_file_name+base_suffix, 0, strlen(base_file_name+base_suffix)-1)
   vargrid = 'U'
   taux = nc_read(file_nam+'U'+suff_domain+'.nc','sozotaux', ncdf_db,  TIME_1 = time_1,  TIME_2 =  time_2)
   vargrid = 'V'
   tauy = nc_read(file_nam+'V'+suff_domain+'.nc','sometauy', ncdf_db,  TIME_1 = time_1,  TIME_2 =  time_2)

   wm = norme(taux.data, tauy.data)
   domdef, old_boite

   field = {name: '', data: wm, legend: '', units: '', origin: '', dim: 0}
   
   field.origin = taux.origin
   field.dim = taux.dim

   return, field
END 
