;
; overlay color line types COL1D=col1d,STY1D=sty1d
;
FUNCTION overlay_type, iover, dimplot

@com_eg

; overlay switch

   overc = ',ov1d='+strtrim(string((iover-1) < 1), 2)

   IF iover EQ 1 THEN overc = ',ov1d=0'

; overlay color

   colov = ''

   IF dimplot EQ 1 THEN index_over = index_over + 1
   IF index_over EQ 1 THEN BEGIN
 ;     index_over = 2
 ;     make palette
      red =   [0, 255,   0,   0, 0, 255]
      green = [0,   0, 255,   0, 0,   0]
      blue =  [0,   0,   0, 255, 0, 255]
      red = [0, red, red, red, red, red, red, red ]
      green = [0, green, green, green, green, green, green, green]
      blue = [0, blue, blue, blue, blue, blue, blue, blue ]
      tvlct, red, green, blue
   ENDIF 

   IF pal_type EQ 'col' AND index_over GE 1 THEN colov = ',COLOR='+string(line_color(index_over-1))

; overlay thickness

   line_thick_txt = ', thick='+string(line_thick(iover-1))

; overlay style

   line_style_txt = ', STY1D='+string(line_style(iover-1)-1)

; result

   IF dimplot EQ 1 THEN overc = overc+colov+line_thick_txt+line_style_txt
;   IF dimplot EQ 2 THEN overc = overc+line_thick_txt+line_style_txt
   IF dimplot EQ 2 THEN overc = overc+line_style_txt

   return, overc
END 
